package tech.powerjob.work.scheduleWork;


import tech.powerjob.work.service.ShipLockDoorStatusRealtimeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

@Component
public class DoorStatusSchedule implements BasicProcessor {
    @Autowired
    private ShipLockDoorStatusRealtimeService shipLockDoorStatusRealtimeService;


    @Override
    public ProcessResult process(TaskContext taskContext) throws Exception {
        return shipLockDoorStatusRealtimeService.saveDoorStatus();
    }
}
