package tech.powerjob.work.scheduleWork;


import tech.powerjob.work.service.ShipLockStatisticService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

@Component
public class LockStatisticSchedule implements BasicProcessor {
    @Autowired
    private ShipLockStatisticService shipLockStatisticService;

    @Override
    //@Scheduled(cron = "0 0 1 * * ?")
    public ProcessResult process(TaskContext taskContext) {
        return shipLockStatisticService.saveShipStatisticInfo();
    }
}
