package tech.powerjob.work.scheduleWork;


import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import tech.powerjob.work.service.ShipLockAreaStatisticService;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

@Component
public class AreaStaticsSchedule implements BasicProcessor {
    @Autowired
    private ShipLockAreaStatisticService shipLockAreaStatisticService;


    @Override
    public ProcessResult process(TaskContext taskContext) throws Exception {
        return shipLockAreaStatisticService.getAreaStatistic();
    }
}
