package tech.powerjob.work.scheduleWork;


import tech.powerjob.work.service.ShipIllegalAutoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

@Component
public class IllegalShipSchedule implements BasicProcessor {
    @Autowired
    private ShipIllegalAutoService autoService;

    //@Scheduled(cron = "0 0 1 * * ?")
    @Override
    public ProcessResult process(TaskContext taskContext) {
        return autoService.saveShipIllegalInfo();
    }
}
