package tech.powerjob.work.scheduleWork;


import tech.powerjob.work.service.ShipLockWaterLevelService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

@Component
public class ShipLockWaterLevelSchedule implements BasicProcessor {
    @Autowired
    private ShipLockWaterLevelService shipLockWaterLevelService;
    @Override
    public ProcessResult process(TaskContext taskContext){
        return shipLockWaterLevelService.saveWaterLevel();
    }
}
