package tech.powerjob.work.scheduleWork;


import tech.powerjob.work.service.ShipLockShipStatusService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import tech.powerjob.worker.core.processor.ProcessResult;
import tech.powerjob.worker.core.processor.TaskContext;
import tech.powerjob.worker.core.processor.sdk.BasicProcessor;

@Component
public class ShipStatusSchedule implements BasicProcessor {
    @Autowired
    private ShipLockShipStatusService shipLockShipStatusService;

    @Override
    //@Scheduled(cron = "0 0 1 * * ?")
    public ProcessResult process(TaskContext taskContext) {
        return shipLockShipStatusService.saveShipStatus();
    }
}
